package com.tofly.feesapi.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springframework.util.StringUtils;

@Getter
@AllArgsConstructor
public enum dzhzbzEnum {
    sfdshz_dzbz_TYPE0("0", "对账金额不等"),
    sfdshz_dzbz_TYPE1("1", "对账成功"),

    ;
    /**
     * 编码
     */
    private String dzbz;
    /**
     * 内容
     */
    private String value;
    public static String getDzbzForValue(String dzbz) {
        String sValue = "";
        if (StringUtils.isEmpty(dzbz)) {
            return sValue;
        }

        for (dzhzbzEnum e : dzhzbzEnum.values()) {
            if (e.dzbz.equalsIgnoreCase(dzbz)) {
                sValue = e.value;
                break;
            }
        }
        return sValue;
    }
}
